"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Text = require("../Text");

var _constants = _interopRequireDefault(require("../../constants"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/** Text displays words and characters of various sizes.*/
const Button = _ref => {
  let {
    style = {},
    type = 'default',
    children = '',
    text = '',
    onPress = () => null,
    textStyle = {
      color: 'white',
      fontWeight: 'bold'
    },
    border,
    textType = 'p',
    ...rest
  } = _ref;
  let extraStyle = {};
  const defaultStyle = {
    default: {
      padding: 10,
      backgroundColor: _constants.default.PRIMARY,
      alignItems: 'center',
      justifyContent: 'center'
    },
    success: {
      padding: 10,
      backgroundColor: _constants.default.SUCCESS,
      alignItems: 'center',
      justifyContent: 'center'
    },
    info: {
      padding: 10,
      backgroundColor: _constants.default.INFO,
      alignItems: 'center',
      justifyContent: 'center'
    },
    error: {
      padding: 10,
      backgroundColor: _constants.default.ERROR,
      alignItems: 'center',
      justifyContent: 'center'
    },
    warning: {
      padding: 10,
      backgroundColor: _constants.default.WARNING,
      alignItems: 'center',
      justifyContent: 'center'
    }
  };

  if (border === 'rounded') {
    extraStyle = { ...extraStyle,
      borderRadius: 4
    };
  } else if (border === 'full') {
    extraStyle = { ...extraStyle,
      borderRadius: 9999
    };
  }

  if (text) {
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
      onPress: () => onPress(),
      style: [extraStyle, defaultStyle[type], style],
      activeOpacity: 0.9
    }, rest), /*#__PURE__*/_react.default.createElement(_Text.Text, {
      style: [textStyle],
      type: textType
    }, text));
  }

  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({}, rest, {
    onPress: () => onPress(),
    style: [defaultStyle[type], style]
  }), children);
};

exports.Button = Button;
Button.displayName = 'Button';
//# sourceMappingURL=Button.js.map