function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { TouchableOpacity } from 'react-native';
import { Text } from '../Text';
import constants from '../../constants';

/** Text displays words and characters of various sizes.*/
export const Button = _ref => {
  let {
    style = {},
    type = 'default',
    children = '',
    text = '',
    onPress = () => null,
    textStyle = {
      color: 'white',
      fontWeight: 'bold'
    },
    border,
    textType = 'p',
    ...rest
  } = _ref;
  let extraStyle = {};
  const defaultStyle = {
    default: {
      padding: 10,
      backgroundColor: constants.PRIMARY,
      alignItems: 'center',
      justifyContent: 'center'
    },
    success: {
      padding: 10,
      backgroundColor: constants.SUCCESS,
      alignItems: 'center',
      justifyContent: 'center'
    },
    info: {
      padding: 10,
      backgroundColor: constants.INFO,
      alignItems: 'center',
      justifyContent: 'center'
    },
    error: {
      padding: 10,
      backgroundColor: constants.ERROR,
      alignItems: 'center',
      justifyContent: 'center'
    },
    warning: {
      padding: 10,
      backgroundColor: constants.WARNING,
      alignItems: 'center',
      justifyContent: 'center'
    }
  };

  if (border === 'rounded') {
    extraStyle = { ...extraStyle,
      borderRadius: 4
    };
  } else if (border === 'full') {
    extraStyle = { ...extraStyle,
      borderRadius: 9999
    };
  }

  if (text) {
    return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
      onPress: () => onPress(),
      style: [extraStyle, defaultStyle[type], style],
      activeOpacity: 0.9
    }, rest), /*#__PURE__*/React.createElement(Text, {
      style: [textStyle],
      type: textType
    }, text));
  }

  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({}, rest, {
    onPress: () => onPress(),
    style: [defaultStyle[type], style]
  }), children);
};
Button.displayName = 'Button';
//# sourceMappingURL=Button.js.map