function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { View } from 'react-native';
export const Card = _ref => {
  let {
    style = {},
    children,
    border = 'none',
    shadow = false,
    mode = 'light',
    margin = 0,
    padding = 0,
    ...rest
  } = _ref;
  let extraStyle = {
    borderWidth: 1,
    borderColor: 'lightgray',
    margin,
    padding,
    backgroundColor: mode === 'light' ? 'white' : '#4c4c4c'
  };

  if (shadow) {
    extraStyle = { ...extraStyle,
      shadowColor: '#000',
      shadowOffset: {
        width: 0,
        height: 2
      },
      shadowOpacity: 0.25,
      shadowRadius: 3.84,
      elevation: 5
    };
  }

  if (border === 'rounded') {
    extraStyle = { ...extraStyle,
      borderRadius: 4
    };
  } else if (border === 'full') {
    extraStyle = { ...extraStyle,
      borderRadius: 9999
    };
  }

  return /*#__PURE__*/React.createElement(View, _extends({
    style: [extraStyle, style]
  }, rest), children);
};
Card.displayName = 'Card';
//# sourceMappingURL=Card.js.map